# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add state column to capability_versions

Revision ID: 0f2993f23264
Revises: d9caa9497091
Create Date: 2021-11-03 16:09:30.873817

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "0f2993f23264"
down_revision = "d9caa9497091"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capability_versions ADD COLUMN state varchar NOT NULL DEFAULT 'Created'")


def downgrade():
    op.execute("ALTER TABLE capability_versions DROP COLUMN IF EXISTS state")
